# std::experimental::filesystem::path::clear

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | path

void clear(); |  | (filesystem TS)

Clears the stored pathname. empty() is true after the call.

### Parameters

(none)

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/path/clear&oldid=91486"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template